[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoPasteFromClipboard

Pastes data from the clipboard into the grid control.

## Declaration

Source position: grids.pas line 1048

`protected procedure TCustomGrid.DoPasteFromClipboard; virtual;`

## Description

DoPasteFromClipboard is a virtual method and has an empty implementation in TCustomGrid. It must be overridden in a descendent class to use the data and selection ranges(s) allowed in the implementation.

DoPasteFromClipboard is called from the KeyDown method when a Shift+V key is handled for the control.

## See also

TCustomStringGrid.DoPasteFromClipboard |  | Pastes data from the clipboard into the grid control.